AIRQ_IV_ALLOC(9)

NAME
airq_iv_alloc - allocate irq bits from an interrupt vector

SYNOPSIS

unsigned long airq_iv_alloc(struct airq_iv * iv, unsigned long num);

ARGUMENTS

iv
    pointer to an interrupt vector structure

num
    number of consecutive irq bits to allocate

DESCRIPTION

Returns the bit number of the first irq in the allocated block of irqs, or -1UL if no bit is available or the AIRQ_IV_ALLOC flag has not been specified

AUTHOR

Cornelia Huck <cornelia.huck@de.ibm.com>
    Author.

COPYRIGHT